import request from '/@/utils/request';

export function riskUnitApi() {
	return {
		getRiskUnitByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/select/selectRiskUnitPage',
				method: 'post',
				data: params
			});
		},

		addRiskUnit: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/insert/insertRiskUnit',
				method: 'post',
				data: params
			});
		},

		addBasicRiskUnit: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/insert/insertInherentRiskUnit',
				method: 'post',
				data: params
			});
		},

		modRiskUnit: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/updateRiskUnit',
				method: 'post',
				data: params
			});
		},

		deleteRiskUnitById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/delete/deleteRiskUnit',
				method: 'post',
				data: params
			});
		},

		getAllRiskUnit: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/select/listRiskUnit',
				method: 'get',
			});
		},
	};
}
